# Global configuration settings.

# IP address of the dedicated theater server
theater_IP = '172.24.26.199'

# OSC UDP port for director
director_UDP_port = 22000

# OSC UDP port(s) for lighting commands
# lighting_host_IP = '127.0.0.1'
lighting_host_IP = '0.0.0.0'
lighting_UDP_port = 20000
lighting_units = 1

# OSC UDP port(s) for motor commands.  The motor servers occupy sequential UDP port numbers.
# motor_host_IP = '127.0.0.1'
motor_host_IP = '0.0.0.0'
motor_UDP_port = 21000

# Lighting fixture definitions.
fixtures = [
    # all fixtures are numbered left to right as viewed from the hallway
    # DP-415 dimmer:
    {'name': "lamp4",   'dmx': 0,  'channels' : 1},
    {'name': "lamp3",   'dmx': 1,  'channels' : 1},
    {'name': "lamp2",   'dmx': 2,  'channels' : 1},
    {'name': "lamp1",   'dmx': 3,  'channels' : 1},

    # DP-415 dimmer:
    {'name': "fan4",    'dmx': 4,  'channels' : 1},
    {'name': "fan3",    'dmx': 5,  'channels' : 1},
    {'name': "fan2",    'dmx': 6,  'channels' : 1},
    {'name': "fan1",    'dmx': 7,  'channels' : 1},

    # SlimParPro footlights
    {'name': "rgba1",   'dmx': 8,  'channels' : 4},
    {'name': "rgba2",   'dmx': 12, 'channels' : 4},
    {'name': "rgba3",   'dmx': 16, 'channels' : 4},
    {'name': "rgba4",   'dmx': 20, 'channels' : 4},
    ]

# Motor unit definitions.  On Linux, the device names can change depending on
# the enumeration order.
motor_units = [
    {'name': 'winch1', 'arduino': '/dev/ttyACM0' },
    {'name': 'winch2', 'arduino': '/dev/ttyACM1' },
    {'name': 'winch3', 'arduino': '/dev/ttyACM2' },
    {'name': 'winch4', 'arduino': '/dev/ttyACM3' },
    {'name': 'winch5', 'arduino': '/dev/ttyACM4' },
    ]
